libqxp::QXPDetector Class Reference documentation

libqxp::QXPDetector Class Reference

`#include <QXPDetector.h>`

## Public Member Functions
| QXPDetector ()
| ~QXPDetector ()=default
void | detect (const std::shared_ptr< librevenge::RVNGInputStream > &input)
const std::shared_ptr< librevenge::RVNGInputStream > & | input () const
const std::shared_ptr< QXPHeader > & | header () const
bool | isSupported () const
QXPDocument::Type | type () const

## Private Attributes
std::shared_ptr< librevenge::RVNGInputStream > | m_input
std::shared_ptr< QXPHeader > | m_header
QXPDocument::Type | m_type
bool | m_supported

## Constructor & Destructor Documentation

## ◆ QXPDetector()

libqxp::QXPDetector::QXPDetector | ( |  | ) |

## ◆ ~QXPDetector()

libqxp::QXPDetector::~QXPDetector | ( |  | ) |
| default

## Member Function Documentation

## ◆ detect()

void libqxp::QXPDetector::detect | ( | const std::shared_ptr< librevenge::RVNGInputStream > & | input | ) |

## ◆ header()

const std::shared_ptr< QXPHeader > & libqxp::QXPDetector::header | ( |  | ) | const

## ◆ input()

const std::shared_ptr< librevenge::RVNGInputStream > & libqxp::QXPDetector::input | ( |  | ) | const

Referenced by detect(), and ~QXPDetector().

## ◆ isSupported()

bool libqxp::QXPDetector::isSupported | ( |  | ) | const

## ◆ type()

QXPDocument::Type libqxp::QXPDetector::type | ( |  | ) | const

Referenced by detect().

## Member Data Documentation

## ◆ m_header

std::shared_ptr<QXPHeader> libqxp::QXPDetector::m_header
| private

Referenced by detect(), header(), and QXPDetector().

## ◆ m_input

std::shared_ptr<librevenge::RVNGInputStream> libqxp::QXPDetector::m_input
| private

Referenced by detect(), input(), and QXPDetector().

## ◆ m_supported

bool libqxp::QXPDetector::m_supported
| private

Referenced by detect(), isSupported(), and QXPDetector().

## ◆ m_type

QXPDocument::Type libqxp::QXPDetector::m_type
| private

Referenced by detect(), QXPDetector(), and type().

The documentation for this class was generated from the following files:

- QXPDetector.h
- QXPDetector.cpp